---
search:
  tags:
    - Agent
    - GET
seo:
  description: >-
    Offer detail. Reference for the GET /v1/offers/{id} endpoint in the agentsub
    Gateway API.
sidebar:
  label: Offer detail
  badge: GET
title: Offer detail
type: openapi-operation
---
`GET /v1/offers/{id}`

**Responses**

- `200` — The offer
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `404` — \`not\_found\` problem
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "id": "string",
  "acceptorId": "string",
  "title": "string",
  "description": "string",
  "unit": "string",
  "priceUc": "string",
  "priceUsd": "string",
  "category": "string",
  "acceptedPaymentMethods": [
    "string"
  ]
}
```
